Creates accumulation analyses in bulk.
This operation accepts an array of resources (portfolios or portfolio variations) and an array of accumulation analysis settings, which include a list of accumulation profiles. For each unique pairing of a resource and accumulation profile, the batch process creates an ACCUMULATION job that produces an accumulation analysis. The settings object specifies both a list of accumulation profiles and a set of accumulation job configurations that identify the events, the financial perspectives, and currency schemes used in the analysis.
An accumulation is a type of analysis that identifies areas of concentrated property or workers compensation exposure. Accumulations calculate the exposed limit, i.e. the maximum loss that can be incurred from a single deterministic event enabling you to assess worst-case scenarios.
The settings and resources parameters are specified in the body of the request.
{
"settings": [
{
"currency": {
"currency": "USD",
"currencySchemeName": "RMS Default",
"currencyVersion": "RL25"
},
"eventInfo": {
"eventDate": 1771329226558,
"eventDateBehavior": "ignore"
},
"financialPerspectives": ["GR", "GU"],
"name": null,
"notes": "",
"profileIds": ["15", "52", "70", "178", "182", "189", "233"],
"tagIds": [],
"applyProfileTags": true
}
],
"resources": [
{
"resourceType": "portfolio",
"resourceUri": "/platform/riskdata/v1/jobs/exposures/2721091/portfolios/20",
"portfolioProperties": {
// No currency object here <----------
"variationName": "ABC Commercial_2026-02-23T16:41:38.362Z",
"treatyIds": []
}
},
{
"resourceType": "portfolioVariation",
"resourceUri": "/platform/riskdata/v1/exposureVariations/3716838"
}
]
}The settings and resources parameters are required in the request body.
